package common.tags;

public class TagStringList extends TagList<TagString> {
	protected TagType getType() {
		return TagType.STRING_LIST;
	}

	protected TagType getElemType() {
		return TagType.STRING;
	}

	protected TagList<TagString> createInstance() {
		return new TagStringList();
	}

	protected TagString getDefault() {
		return new TagString("");
	}

	public String get(int index) {
		return this.getElem(index).getString();
	}

	public void add(String value) {
		this.addElem(new TagString(value));
	}
}
