package common.tags;

public class TagObjectList extends TagList<TagObject> {
	protected TagType getType() {
		return TagType.OBJECT_LIST;
	}

	protected TagType getElemType() {
		return TagType.OBJECT;
	}

	protected TagList<TagObject> createInstance() {
		return new TagObjectList();
	}

	protected TagObject getDefault() {
		return new TagObject();
	}

	public TagObject get(int index) {
		return this.getElem(index);
	}

	public void add(TagObject value) {
		this.addElem(value);
	}
}
